using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Runtime.Serialization;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace SD2007.Util
{
	public class FileIO<T>
	{
		public void Serialize(T items, string sFile)
		{
			IFormatter formatter = new BinaryFormatter();

			Stream stream = new FileStream(HttpContext.Current.Server.MapPath(sFile), FileMode.Create,
			FileAccess.Write, FileShare.None);
			formatter.Serialize(stream, items);
			stream.Close();
		}

		public T Deserialize(string sFile)
		{
			IFormatter formatter = new BinaryFormatter();
			Stream stream = new FileStream(HttpContext.Current.Server.MapPath(sFile), FileMode.Open,
			FileAccess.Read, FileShare.Read);
			T items = (T)formatter.Deserialize(stream);
			stream.Close();
			return items;
		}
	}
}
