using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;
using System.Collections.Generic;
using SD2007.Util.Cache;
namespace SD2007.Test
{
	public partial class Test1 : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			string _SQL = "Select *from SYS_Area order by a_Orders desc";
			DataSet _ds;
			using (SqlConnection _conn = new SqlConnection(ConfigurationManager.AppSettings["DBConnString"]))
			{
				if (_conn.State != ConnectionState.Open) 
					_conn.Open();
				_ds = new DataSet();
				SqlDataAdapter _da = new SqlDataAdapter(_SQL, _conn);
				_da.Fill(_ds);
				_da.Dispose();
			}
			Util.FileIO<DataSet> file = new SD2007.Util.FileIO<DataSet>();
			file.Serialize(_ds, "/cache/citycache.bin");	//л
			//
			Cache["CityCache"] = _ds;
			AjaxPro.Utility.RegisterTypeForAjax(typeof(Test1));
		}

		/// <summary>
		/// 첽ȡб
		/// </summary>
		/// <param name="sName">ҵַ</param>
		/// <returns>б</returns>
		[AjaxPro.AjaxMethod]
		public Hashtable GetCity(string sName)
		{
			string _SQL = string.Empty;
			DataSet _ds;
			if (Context.Cache.Get("CityCache") != null)
			{
				_ds = (DataSet)Context.Cache.Get("CityCache");
			}
			else
			{
				Util.FileIO<DataSet> file = new SD2007.Util.FileIO<DataSet>();
				_ds = file.Deserialize("/cache/citycache.bin");
				Cache["CityCache"] = _ds;
			}
			
			if((sName==string.Empty)||(sName==""))	//û
			{
				_SQL = "";
			}
			else
			{
				char c = sName[0];		//ȡһַ.жǷΪӢĸ
				if ((c >= 'A') && (c <= 'z'))
				{
					_SQL = "a_Alias like '%" + sName + "%'";
				}
				else					//
				{
					_SQL = "a_Name like '%" + sName + "%'";
				}
			}
			DataView _dv = new DataView(_ds.Tables[0]);
			_dv.RowFilter = _SQL;
			_dv.Sort = "a_Orders desc";
			Hashtable dicts = new Hashtable();
			for(int i=0;i<_dv.Count;i++)
			{
				dicts.Add(_dv[i].Row[0], _dv[i].Row[1]);
				if (i == 10)
					break;
			}
			return dicts;
		}
	}
}
